PDA

View Full Version : Existing Mysql Server - DBI version problem?



BigBirdy
2006-09-22, 11:17
I thought it best to start a new thread now. I upgraded Mysql to 5.0.24a standard...so far so good. But trying to start ss I still get these errors?? Is this just a DBI.pm issue/upgrade?

2006-09-22 11:13:14.2100 ERROR: DBI Connection failed: DBI connect('hostname=127.0.0.1;port=3306;database=Sli mserver:mysql_socket=/var/lib/mysql/mysql.sock','stork',...) failed: Client does not support authentication protocol requested by server; consider upgrading MySQL client at /usr/local/slimserver/CPAN/DBIx/Class/Storage/DBI.pm line 652

2006-09-22 11:13:14.2103 ERROR: Backtrace follows:

2006-09-22 11:13:14.2105 Backtrace:

frame 0: Slim::Schema::Storage::throw_exception (/usr/local/slimserver/CPAN/DBIx/Class/Storage/DBI.pm line 658)
frame 1: DBIx::Class::Storage::DBI::_connect (/usr/local/slimserver/CPAN/DBIx/Class/Storage/DBI.pm line 616)
frame 2: DBIx::Class::Storage::DBI::_populate_dbh (/usr/local/slimserver/CPAN/DBIx/Class/Storage/DBI.pm line 543)
frame 3: DBIx::Class::Storage::DBI::ensure_connected (/usr/local/slimserver/CPAN/DBIx/Class/Storage/DBI.pm line 557)
frame 4: DBIx::Class::Storage::DBI::dbh (/usr/local/slimserver/Slim/Schema.pm line 118)
frame 5: Slim::Schema::init (/usr/local/slimserver/Slim/Music/Info.pm line 71)
frame 6: Slim::Music::Info::init (/usr/local/slimserver/slimserver.pl line 364)
frame 7: main::init (/usr/local/slimserver/slimserver.pl line 438)
frame 8: main::main (/usr/local/slimserver/slimserver.pl line 1039)

Carp::Clan::__ANON__(): DBI Connection failed: DBI connect('hostname=127.0.0.1;port=3306;database=Sli mserver:mysql_socket=/var/lib/mysql/mysql.sock','stork',...) failed: Client does not support authentication protocol requested by server; consider upgrading MySQL client at /usr/local/slimserver/CPAN/DBIx/Class/Storage/DBI.pm line 652